<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="SXsglMdlsrbbYgSalesperformanceinfoMapper" >
    <!-- 通用查询映射结果 -->

    <select id="selectSXsglMdlsrbbYgSalesperformanceinfoList" parameterType="pd" resultType="pd">
        select * from s_xsgl_mdlsrbb_yg_salesperformanceinfo where 1=1
        <if test="name !=null and name !='' ">
            and name = #{name}
        </if>
        <if test="salesAmount !=null and salesAmount !='' ">
            and salesAmount = #{salesAmount}
        </if>
        <if test="salesRatio !=null and salesRatio !='' ">
            and salesRatio = #{salesRatio}
        </if>
        <if test="salesTargetAchievement !=null and salesTargetAchievement !='' ">
            and salesTargetAchievement = #{salesTargetAchievement}
        </if>
        <if test="grossProfitAmount !=null and grossProfitAmount !='' ">
            and grossProfitAmount = #{grossProfitAmount}
        </if>
        <if test="grossProfitRatio !=null and grossProfitRatio !='' ">
            and grossProfitRatio = #{grossProfitRatio}
        </if>
        <if test="grossProfitTargetAchievement !=null and grossProfitTargetAchievement !='' ">
            and grossProfitTargetAchievement = #{grossProfitTargetAchievement}
        </if>
        <if test="grossProfitMargin !=null and grossProfitMargin !='' ">
            and grossProfitMargin = #{grossProfitMargin}
        </if>
        <if test="customerVisits !=null and customerVisits !='' ">
            and customerVisits = #{customerVisits}
        </if>
        <if test="customerVisitsRatio !=null and customerVisitsRatio !='' ">
            and customerVisitsRatio = #{customerVisitsRatio}
        </if>
        <if test="averageTransactionValue !=null and averageTransactionValue !='' ">
            and averageTransactionValue = #{averageTransactionValue}
        </if>
        <if test="aaSalesAmount !=null and aaSalesAmount !='' ">
            and aaSalesAmount = #{aaSalesAmount}
        </if>
        <if test="aaSalesRatio !=null and aaSalesRatio !='' ">
            and aaSalesRatio = #{aaSalesRatio}
        </if>
        <if test="aaTargetAchievement !=null and aaTargetAchievement !='' ">
            and aaTargetAchievement = #{aaTargetAchievement}
        </if>
        <if test="a1SalesAmount !=null and a1SalesAmount !='' ">
            and a1SalesAmount = #{a1SalesAmount}
        </if>
        <if test="a1SalesRatio !=null and a1SalesRatio !='' ">
            and a1SalesRatio = #{a1SalesRatio}
        </if>
        <if test="a1TargetAchievement !=null and a1TargetAchievement !='' ">
            and a1TargetAchievement = #{a1TargetAchievement}
        </if>
        <if test="a2SalesAmount !=null and a2SalesAmount !='' ">
            and a2SalesAmount = #{a2SalesAmount}
        </if>
        <if test="lowProfitSalesAmount !=null and lowProfitSalesAmount !='' ">
            and lowProfitSalesAmount = #{lowProfitSalesAmount}
        </if>
        <if test="marginalProfitSalesAmount !=null and marginalProfitSalesAmount !='' ">
            and marginalProfitSalesAmount = #{marginalProfitSalesAmount}
        </if>
        <if test="negativeProfitSalesAmount !=null and negativeProfitSalesAmount !='' ">
            and negativeProfitSalesAmount = #{negativeProfitSalesAmount}
        </if>
        <if test="eliminationSalesAmount !=null and eliminationSalesAmount !='' ">
            and eliminationSalesAmount = #{eliminationSalesAmount}
        </if>
        <if test="a2SalesRatio !=null and a2SalesRatio !='' ">
            and a2SalesRatio = #{a2SalesRatio}
        </if>
        <if test="a3SalesAmount !=null and a3SalesAmount !='' ">
            and a3SalesAmount = #{a3SalesAmount}
        </if>
        <if test="a3SalesRatio !=null and a3SalesRatio !='' ">
            and a3SalesRatio = #{a3SalesRatio}
        </if>
        <if test="a4SalesAmount !=null and a4SalesAmount !='' ">
            and a4SalesAmount = #{a4SalesAmount}
        </if>
        <if test="a4SalesRatio !=null and a4SalesRatio !='' ">
            and a4SalesRatio = #{a4SalesRatio}
        </if>
        <if test="lowProfitSales !=null and lowProfitSales !='' ">
            and lowProfitSales = #{lowProfitSales}
        </if>
        <if test="lowProfitSalesRatio !=null and lowProfitSalesRatio !='' ">
            and lowProfitSalesRatio = #{lowProfitSalesRatio}
        </if>
        <if test="marginalProfitSales !=null and marginalProfitSales !='' ">
            and marginalProfitSales = #{marginalProfitSales}
        </if>
        <if test="marginalProfitSalesRatio !=null and marginalProfitSalesRatio !='' ">
            and marginalProfitSalesRatio = #{marginalProfitSalesRatio}
        </if>
        <if test="negativeProfitSales !=null and negativeProfitSales !='' ">
            and negativeProfitSales = #{negativeProfitSales}
        </if>
        <if test="negativeProfitSalesRatio !=null and negativeProfitSalesRatio !='' ">
            and negativeProfitSalesRatio = #{negativeProfitSalesRatio}
        </if>
        <if test="otherSalesAmount !=null and otherSalesAmount !='' ">
            and otherSalesAmount = #{otherSalesAmount}
        </if>
        <if test="otherSalesRatio !=null and otherSalesRatio !='' ">
            and otherSalesRatio = #{otherSalesRatio}
        </if>
        <if test="expiryProductSales !=null and expiryProductSales !='' ">
            and expiryProductSales = #{expiryProductSales}
        </if>
        <if test="expiryProductSalesRatio !=null and expiryProductSalesRatio !='' ">
            and expiryProductSalesRatio = #{expiryProductSalesRatio}
        </if>
        <if test="expiryProductTargetAchievement !=null and expiryProductTargetAchievement !='' ">
            and expiryProductTargetAchievement = #{expiryProductTargetAchievement}
        </if>
        <if test="eliminationProductSales !=null and eliminationProductSales !='' ">
            and eliminationProductSales = #{eliminationProductSales}
        </if>
        <if test="eliminationProductSalesRatio !=null and eliminationProductSalesRatio !='' ">
            and eliminationProductSalesRatio = #{eliminationProductSalesRatio}
        </if>
        <if test="eliminationProductTargetAchievement !=null and eliminationProductTargetAchievement !='' ">
            and eliminationProductTargetAchievement = #{eliminationProductTargetAchievement}
        </if>
        <if test="inactiveProductSales !=null and inactiveProductSales !='' ">
            and inactiveProductSales = #{inactiveProductSales}
        </if>
        <if test="inactiveProductSalesRatio !=null and inactiveProductSalesRatio !='' ">
            and inactiveProductSalesRatio = #{inactiveProductSalesRatio}
        </if>
        <if test="inactiveProductTargetAchievement !=null and inactiveProductTargetAchievement !='' ">
            and inactiveProductTargetAchievement = #{inactiveProductTargetAchievement}
        </if>
    </select>


    <update id="updateSXsglMdlsrbbYgSalesperformanceinfo" parameterType="pd" >
        update s_xsgl_mdlsrbb_yg_salesperformanceinfo
        <trim prefix=" SET " suffix="" prefixOverrides="," suffixOverrides=",">
        <if test="name !=null and name !='' ">
            name = #{name},
        </if>
        <if test="salesAmount !=null and salesAmount !='' ">
            salesAmount = #{salesAmount},
        </if>
        <if test="salesRatio !=null and salesRatio !='' ">
            salesRatio = #{salesRatio},
        </if>
        <if test="salesTargetAchievement !=null and salesTargetAchievement !='' ">
            salesTargetAchievement = #{salesTargetAchievement},
        </if>
        <if test="grossProfitAmount !=null and grossProfitAmount !='' ">
            grossProfitAmount = #{grossProfitAmount},
        </if>
        <if test="grossProfitRatio !=null and grossProfitRatio !='' ">
            grossProfitRatio = #{grossProfitRatio},
        </if>
        <if test="grossProfitTargetAchievement !=null and grossProfitTargetAchievement !='' ">
            grossProfitTargetAchievement = #{grossProfitTargetAchievement},
        </if>
        <if test="grossProfitMargin !=null and grossProfitMargin !='' ">
            grossProfitMargin = #{grossProfitMargin},
        </if>
        <if test="customerVisits !=null and customerVisits !='' ">
            customerVisits = #{customerVisits},
        </if>
        <if test="customerVisitsRatio !=null and customerVisitsRatio !='' ">
            customerVisitsRatio = #{customerVisitsRatio},
        </if>
        <if test="averageTransactionValue !=null and averageTransactionValue !='' ">
            averageTransactionValue = #{averageTransactionValue},
        </if>
        <if test="aaSalesAmount !=null and aaSalesAmount !='' ">
            aaSalesAmount = #{aaSalesAmount},
        </if>
        <if test="aaSalesRatio !=null and aaSalesRatio !='' ">
            aaSalesRatio = #{aaSalesRatio},
        </if>
        <if test="aaTargetAchievement !=null and aaTargetAchievement !='' ">
            aaTargetAchievement = #{aaTargetAchievement},
        </if>
        <if test="a1SalesAmount !=null and a1SalesAmount !='' ">
            a1SalesAmount = #{a1SalesAmount},
        </if>
        <if test="a1SalesRatio !=null and a1SalesRatio !='' ">
            a1SalesRatio = #{a1SalesRatio},
        </if>
        <if test="a1TargetAchievement !=null and a1TargetAchievement !='' ">
            a1TargetAchievement = #{a1TargetAchievement},
        </if>
        <if test="a2SalesAmount !=null and a2SalesAmount !='' ">
            a2SalesAmount = #{a2SalesAmount},
        </if>
        <if test="lowProfitSalesAmount !=null and lowProfitSalesAmount !='' ">
            lowProfitSalesAmount = #{lowProfitSalesAmount},
        </if>
        <if test="marginalProfitSalesAmount !=null and marginalProfitSalesAmount !='' ">
            marginalProfitSalesAmount = #{marginalProfitSalesAmount},
        </if>
        <if test="negativeProfitSalesAmount !=null and negativeProfitSalesAmount !='' ">
            negativeProfitSalesAmount = #{negativeProfitSalesAmount},
        </if>
        <if test="eliminationSalesAmount !=null and eliminationSalesAmount !='' ">
            eliminationSalesAmount = #{eliminationSalesAmount},
        </if>
        <if test="a2SalesRatio !=null and a2SalesRatio !='' ">
            a2SalesRatio = #{a2SalesRatio},
        </if>
        <if test="a3SalesAmount !=null and a3SalesAmount !='' ">
            a3SalesAmount = #{a3SalesAmount},
        </if>
        <if test="a3SalesRatio !=null and a3SalesRatio !='' ">
            a3SalesRatio = #{a3SalesRatio},
        </if>
        <if test="a4SalesAmount !=null and a4SalesAmount !='' ">
            a4SalesAmount = #{a4SalesAmount},
        </if>
        <if test="a4SalesRatio !=null and a4SalesRatio !='' ">
            a4SalesRatio = #{a4SalesRatio},
        </if>
        <if test="lowProfitSales !=null and lowProfitSales !='' ">
            lowProfitSales = #{lowProfitSales},
        </if>
        <if test="lowProfitSalesRatio !=null and lowProfitSalesRatio !='' ">
            lowProfitSalesRatio = #{lowProfitSalesRatio},
        </if>
        <if test="marginalProfitSales !=null and marginalProfitSales !='' ">
            marginalProfitSales = #{marginalProfitSales},
        </if>
        <if test="marginalProfitSalesRatio !=null and marginalProfitSalesRatio !='' ">
            marginalProfitSalesRatio = #{marginalProfitSalesRatio},
        </if>
        <if test="negativeProfitSales !=null and negativeProfitSales !='' ">
            negativeProfitSales = #{negativeProfitSales},
        </if>
        <if test="negativeProfitSalesRatio !=null and negativeProfitSalesRatio !='' ">
            negativeProfitSalesRatio = #{negativeProfitSalesRatio},
        </if>
        <if test="otherSalesAmount !=null and otherSalesAmount !='' ">
            otherSalesAmount = #{otherSalesAmount},
        </if>
        <if test="otherSalesRatio !=null and otherSalesRatio !='' ">
            otherSalesRatio = #{otherSalesRatio},
        </if>
        <if test="expiryProductSales !=null and expiryProductSales !='' ">
            expiryProductSales = #{expiryProductSales},
        </if>
        <if test="expiryProductSalesRatio !=null and expiryProductSalesRatio !='' ">
            expiryProductSalesRatio = #{expiryProductSalesRatio},
        </if>
        <if test="expiryProductTargetAchievement !=null and expiryProductTargetAchievement !='' ">
            expiryProductTargetAchievement = #{expiryProductTargetAchievement},
        </if>
        <if test="eliminationProductSales !=null and eliminationProductSales !='' ">
            eliminationProductSales = #{eliminationProductSales},
        </if>
        <if test="eliminationProductSalesRatio !=null and eliminationProductSalesRatio !='' ">
            eliminationProductSalesRatio = #{eliminationProductSalesRatio},
        </if>
        <if test="eliminationProductTargetAchievement !=null and eliminationProductTargetAchievement !='' ">
            eliminationProductTargetAchievement = #{eliminationProductTargetAchievement},
        </if>
        <if test="inactiveProductSales !=null and inactiveProductSales !='' ">
            inactiveProductSales = #{inactiveProductSales},
        </if>
        <if test="inactiveProductSalesRatio !=null and inactiveProductSalesRatio !='' ">
            inactiveProductSalesRatio = #{inactiveProductSalesRatio},
        </if>
        <if test="inactiveProductTargetAchievement !=null and inactiveProductTargetAchievement !='' ">
            inactiveProductTargetAchievement = #{inactiveProductTargetAchievement},
        </if>
        </trim>
        <if test="up != null and up!=''">
            <if test="id != null and id!=''">
                where id=#{id}
            </if>
        </if>
    </update>

    <delete id="SXsglMdlsrbbYgSalesperformanceinfoRemove" parameterType="pd">
        <if test="ids != null">
            delete from s_xsgl_mdlsrbb_yg_salesperformanceinfo where
            <if test="ids != null">
                id in(${ids})
            </if>
        </if>
    </delete>

    <insert id="addSXsglMdlsrbbYgSalesperformanceinfo" parameterType="pd" >

        insert into s_xsgl_mdlsrbb_yg_salesperformanceinfo
        <trim prefix="(" suffix=")" prefixOverrides="," suffixOverrides=",">

        <if test="name !=null and name !='' ">
            name,
        </if>
        <if test="salesAmount !=null and salesAmount !='' ">
            salesAmount,
        </if>
        <if test="salesRatio !=null and salesRatio !='' ">
            salesRatio,
        </if>
        <if test="salesTargetAchievement !=null and salesTargetAchievement !='' ">
            salesTargetAchievement,
        </if>
        <if test="grossProfitAmount !=null and grossProfitAmount !='' ">
            grossProfitAmount,
        </if>
        <if test="grossProfitRatio !=null and grossProfitRatio !='' ">
            grossProfitRatio,
        </if>
        <if test="grossProfitTargetAchievement !=null and grossProfitTargetAchievement !='' ">
            grossProfitTargetAchievement,
        </if>
        <if test="grossProfitMargin !=null and grossProfitMargin !='' ">
            grossProfitMargin,
        </if>
        <if test="customerVisits !=null and customerVisits !='' ">
            customerVisits,
        </if>
        <if test="customerVisitsRatio !=null and customerVisitsRatio !='' ">
            customerVisitsRatio,
        </if>
        <if test="averageTransactionValue !=null and averageTransactionValue !='' ">
            averageTransactionValue,
        </if>
        <if test="aaSalesAmount !=null and aaSalesAmount !='' ">
            aaSalesAmount,
        </if>
        <if test="aaSalesRatio !=null and aaSalesRatio !='' ">
            aaSalesRatio,
        </if>
        <if test="aaTargetAchievement !=null and aaTargetAchievement !='' ">
            aaTargetAchievement,
        </if>
        <if test="a1SalesAmount !=null and a1SalesAmount !='' ">
            a1SalesAmount,
        </if>
        <if test="a1SalesRatio !=null and a1SalesRatio !='' ">
            a1SalesRatio,
        </if>
        <if test="a1TargetAchievement !=null and a1TargetAchievement !='' ">
            a1TargetAchievement,
        </if>
        <if test="a2SalesAmount !=null and a2SalesAmount !='' ">
            a2SalesAmount,
        </if>
        <if test="lowProfitSalesAmount !=null and lowProfitSalesAmount !='' ">
            lowProfitSalesAmount,
        </if>
        <if test="marginalProfitSalesAmount !=null and marginalProfitSalesAmount !='' ">
            marginalProfitSalesAmount,
        </if>
        <if test="negativeProfitSalesAmount !=null and negativeProfitSalesAmount !='' ">
            negativeProfitSalesAmount,
        </if>
        <if test="eliminationSalesAmount !=null and eliminationSalesAmount !='' ">
            eliminationSalesAmount,
        </if>
        <if test="a2SalesRatio !=null and a2SalesRatio !='' ">
            a2SalesRatio,
        </if>
        <if test="a3SalesAmount !=null and a3SalesAmount !='' ">
            a3SalesAmount,
        </if>
        <if test="a3SalesRatio !=null and a3SalesRatio !='' ">
            a3SalesRatio,
        </if>
        <if test="a4SalesAmount !=null and a4SalesAmount !='' ">
            a4SalesAmount,
        </if>
        <if test="a4SalesRatio !=null and a4SalesRatio !='' ">
            a4SalesRatio,
        </if>
        <if test="lowProfitSales !=null and lowProfitSales !='' ">
            lowProfitSales,
        </if>
        <if test="lowProfitSalesRatio !=null and lowProfitSalesRatio !='' ">
            lowProfitSalesRatio,
        </if>
        <if test="marginalProfitSales !=null and marginalProfitSales !='' ">
            marginalProfitSales,
        </if>
        <if test="marginalProfitSalesRatio !=null and marginalProfitSalesRatio !='' ">
            marginalProfitSalesRatio,
        </if>
        <if test="negativeProfitSales !=null and negativeProfitSales !='' ">
            negativeProfitSales,
        </if>
        <if test="negativeProfitSalesRatio !=null and negativeProfitSalesRatio !='' ">
            negativeProfitSalesRatio,
        </if>
        <if test="otherSalesAmount !=null and otherSalesAmount !='' ">
            otherSalesAmount,
        </if>
        <if test="otherSalesRatio !=null and otherSalesRatio !='' ">
            otherSalesRatio,
        </if>
        <if test="expiryProductSales !=null and expiryProductSales !='' ">
            expiryProductSales,
        </if>
        <if test="expiryProductSalesRatio !=null and expiryProductSalesRatio !='' ">
            expiryProductSalesRatio,
        </if>
        <if test="expiryProductTargetAchievement !=null and expiryProductTargetAchievement !='' ">
            expiryProductTargetAchievement,
        </if>
        <if test="eliminationProductSales !=null and eliminationProductSales !='' ">
            eliminationProductSales,
        </if>
        <if test="eliminationProductSalesRatio !=null and eliminationProductSalesRatio !='' ">
            eliminationProductSalesRatio,
        </if>
        <if test="eliminationProductTargetAchievement !=null and eliminationProductTargetAchievement !='' ">
            eliminationProductTargetAchievement,
        </if>
        <if test="inactiveProductSales !=null and inactiveProductSales !='' ">
            inactiveProductSales,
        </if>
        <if test="inactiveProductSalesRatio !=null and inactiveProductSalesRatio !='' ">
            inactiveProductSalesRatio,
        </if>
        <if test="inactiveProductTargetAchievement !=null and inactiveProductTargetAchievement !='' ">
            inactiveProductTargetAchievement,
        </if>
        </trim>
        <trim prefix=" VALUES (" suffix=")" prefixOverrides="," suffixOverrides=",">
        <if test="name !=null and name !='' ">
             #{name},
        </if>
        <if test="salesAmount !=null and salesAmount !='' ">
             #{salesAmount},
        </if>
        <if test="salesRatio !=null and salesRatio !='' ">
             #{salesRatio},
        </if>
        <if test="salesTargetAchievement !=null and salesTargetAchievement !='' ">
             #{salesTargetAchievement},
        </if>
        <if test="grossProfitAmount !=null and grossProfitAmount !='' ">
             #{grossProfitAmount},
        </if>
        <if test="grossProfitRatio !=null and grossProfitRatio !='' ">
             #{grossProfitRatio},
        </if>
        <if test="grossProfitTargetAchievement !=null and grossProfitTargetAchievement !='' ">
             #{grossProfitTargetAchievement},
        </if>
        <if test="grossProfitMargin !=null and grossProfitMargin !='' ">
             #{grossProfitMargin},
        </if>
        <if test="customerVisits !=null and customerVisits !='' ">
             #{customerVisits},
        </if>
        <if test="customerVisitsRatio !=null and customerVisitsRatio !='' ">
             #{customerVisitsRatio},
        </if>
        <if test="averageTransactionValue !=null and averageTransactionValue !='' ">
             #{averageTransactionValue},
        </if>
        <if test="aaSalesAmount !=null and aaSalesAmount !='' ">
             #{aaSalesAmount},
        </if>
        <if test="aaSalesRatio !=null and aaSalesRatio !='' ">
             #{aaSalesRatio},
        </if>
        <if test="aaTargetAchievement !=null and aaTargetAchievement !='' ">
             #{aaTargetAchievement},
        </if>
        <if test="a1SalesAmount !=null and a1SalesAmount !='' ">
             #{a1SalesAmount},
        </if>
        <if test="a1SalesRatio !=null and a1SalesRatio !='' ">
             #{a1SalesRatio},
        </if>
        <if test="a1TargetAchievement !=null and a1TargetAchievement !='' ">
             #{a1TargetAchievement},
        </if>
        <if test="a2SalesAmount !=null and a2SalesAmount !='' ">
             #{a2SalesAmount},
        </if>
        <if test="lowProfitSalesAmount !=null and lowProfitSalesAmount !='' ">
             #{lowProfitSalesAmount},
        </if>
        <if test="marginalProfitSalesAmount !=null and marginalProfitSalesAmount !='' ">
             #{marginalProfitSalesAmount},
        </if>
        <if test="negativeProfitSalesAmount !=null and negativeProfitSalesAmount !='' ">
             #{negativeProfitSalesAmount},
        </if>
        <if test="eliminationSalesAmount !=null and eliminationSalesAmount !='' ">
             #{eliminationSalesAmount},
        </if>
        <if test="a2SalesRatio !=null and a2SalesRatio !='' ">
             #{a2SalesRatio},
        </if>
        <if test="a3SalesAmount !=null and a3SalesAmount !='' ">
             #{a3SalesAmount},
        </if>
        <if test="a3SalesRatio !=null and a3SalesRatio !='' ">
             #{a3SalesRatio},
        </if>
        <if test="a4SalesAmount !=null and a4SalesAmount !='' ">
             #{a4SalesAmount},
        </if>
        <if test="a4SalesRatio !=null and a4SalesRatio !='' ">
             #{a4SalesRatio},
        </if>
        <if test="lowProfitSales !=null and lowProfitSales !='' ">
             #{lowProfitSales},
        </if>
        <if test="lowProfitSalesRatio !=null and lowProfitSalesRatio !='' ">
             #{lowProfitSalesRatio},
        </if>
        <if test="marginalProfitSales !=null and marginalProfitSales !='' ">
             #{marginalProfitSales},
        </if>
        <if test="marginalProfitSalesRatio !=null and marginalProfitSalesRatio !='' ">
             #{marginalProfitSalesRatio},
        </if>
        <if test="negativeProfitSales !=null and negativeProfitSales !='' ">
             #{negativeProfitSales},
        </if>
        <if test="negativeProfitSalesRatio !=null and negativeProfitSalesRatio !='' ">
             #{negativeProfitSalesRatio},
        </if>
        <if test="otherSalesAmount !=null and otherSalesAmount !='' ">
             #{otherSalesAmount},
        </if>
        <if test="otherSalesRatio !=null and otherSalesRatio !='' ">
             #{otherSalesRatio},
        </if>
        <if test="expiryProductSales !=null and expiryProductSales !='' ">
             #{expiryProductSales},
        </if>
        <if test="expiryProductSalesRatio !=null and expiryProductSalesRatio !='' ">
             #{expiryProductSalesRatio},
        </if>
        <if test="expiryProductTargetAchievement !=null and expiryProductTargetAchievement !='' ">
             #{expiryProductTargetAchievement},
        </if>
        <if test="eliminationProductSales !=null and eliminationProductSales !='' ">
             #{eliminationProductSales},
        </if>
        <if test="eliminationProductSalesRatio !=null and eliminationProductSalesRatio !='' ">
             #{eliminationProductSalesRatio},
        </if>
        <if test="eliminationProductTargetAchievement !=null and eliminationProductTargetAchievement !='' ">
             #{eliminationProductTargetAchievement},
        </if>
        <if test="inactiveProductSales !=null and inactiveProductSales !='' ">
             #{inactiveProductSales},
        </if>
        <if test="inactiveProductSalesRatio !=null and inactiveProductSalesRatio !='' ">
             #{inactiveProductSalesRatio},
        </if>
        <if test="inactiveProductTargetAchievement !=null and inactiveProductTargetAchievement !='' ">
             #{inactiveProductTargetAchievement},
        </if>
        </trim>

    </insert>

</mapper>
